﻿using System.Collections.Immutable;

namespace Connected.Configuration.Environment
{
	internal class EnvironmentServices : IEnvironmentServices
	{
		public ImmutableList<Type> Services => RegisteredServices.Services;

		public ImmutableList<Type> ServiceMethods => RegisteredServices.ServiceOperations;

		public ImmutableList<Type> Arguments => RegisteredServices.Arguments;

		public ImmutableList<Type> IoCEndpoints => RegisteredServices.Middleware;

		public ImmutableList<Type> EntityCache => RegisteredServices.EntityCache;
	}
}
