﻿using System.Linq.Expressions;

namespace Connected.Expressions.Evaluation;

internal sealed class PartialEvaluator
{
	public static Expression Eval(ExpressionCompilationContext context, Expression expression)
	{
		return Eval(context, expression, null);
	}

	public static Expression Eval(ExpressionCompilationContext context, Expression expression, Func<ConstantExpression, Expression>? fnPostEval)
	{
		return SubtreeEvaluator.Eval(context, ColumnNominator.Nominate(expression), fnPostEval, expression);
	}
}
