﻿namespace Connected.Interop.Reflection
{
	internal class InvalidConversionException : InvalidOperationException
	{
		public InvalidConversionException(object valueToConvert, Type destinationType)
			: base($"'{valueToConvert}' ({valueToConvert?.GetType()}) is not convertible to '{destinationType}'.")
		{
		}
	}
}
